Skip to content
Start here

Get IRR AS-SETs that an AS is a member of

radar.entities.asns.as_set(intasn, ASNAsSetParams**kwargs) -> ASNAsSetResponse
GET/radar/entities/asns/{asn}/as_set

Retrieves Internet Routing Registry AS-SETs that an AS is a member of.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
asn: int

Retrieves all AS-SETs that the given AS is a member of.

format: Optional[Literal["JSON", "CSV"]]

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
ReturnsExpand Collapse
class ASNAsSetResponse:
as_sets: List[AsSet]
as_members_count: int

The number of AS members in the AS-SET

as_set_members_count: int

The number of AS-SET members in the AS-SET

as_set_upstreams_count: int

The number of recursive upstream AS-SETs

asn_cone_size: int

The number of unique ASNs in the AS-SETs recursive downstream

irr_sources: List[str]

The IRR sources of the AS-SET

name: str

The name of the AS-SET

hierarchical_asn: Optional[int]

The AS number following hierarchical AS-SET name

inferred_asn: Optional[int]

The inferred AS number of the AS-SET

peeringdb_asn: Optional[int]

The AS number matching PeeringDB record

paths: List[List[str]]

Paths from the AS-SET that include the given AS to its upstreams recursively

Get IRR AS-SETs that an AS is a member of

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.radar.entities.asns.as_set(
    asn=3,
)
print(response.as_sets)
{
  "result": {
    "as_sets": [
      {
        "as_members_count": 0,
        "as_set_members_count": 0,
        "as_set_upstreams_count": 0,
        "asn_cone_size": 0,
        "irr_sources": [
          "string"
        ],
        "name": "name",
        "hierarchical_asn": 0,
        "inferred_asn": 0,
        "peeringdb_asn": 0
      }
    ],
    "paths": [
      [
        "string"
      ]
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "as_sets": [
      {
        "as_members_count": 0,
        "as_set_members_count": 0,
        "as_set_upstreams_count": 0,
        "asn_cone_size": 0,
        "irr_sources": [
          "string"
        ],
        "name": "name",
        "hierarchical_asn": 0,
        "inferred_asn": 0,
        "peeringdb_asn": 0
      }
    ],
    "paths": [
      [
        "string"
      ]
    ]
  },
  "success": true
}